Bug 1172703 - [rhevm-webadmin] - Webadmin GUI - Sign Out not working
Summary: [rhevm-webadmin] - Webadmin GUI - Sign Out not working
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Gonza
URL:
Whiteboard: ux
Depends On:
Blocks: 1161730 rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-10 15:17 UTC by Gonza
Modified: 2014-12-15 09:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 09:12:27 UTC
oVirt Team: ---


Attachments (Terms of Use)
engine log when clicking on Sign Out (947 bytes, text/plain)
2014-12-10 15:17 UTC, Gonza
no flags Details

Description Gonza 2014-12-10 15:17:49 UTC
Created attachment 966857 [details]
engine log when clicking on Sign Out

Description of problem:
When clicking on the Sign Out option on the webadmin GUI, the page refreshes and the user is not logged out.

Version-Release number of selected component (if applicable):
rhevm-3.5.0-0.22.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Login to the engine webadmin
2. Click on the user dropdown at the right on the top bar
3. Click on "Sign Out"

Actual results:
Page is refreshed and user is still logged in

Expected results:
User is logged out and redirected to login screen

Comment 1 Pavel Novotny 2014-12-10 15:58:49 UTC
I tried to reproduce it with the latest rhevm-3.5.0-0.23.beta.el6ev.noarch (vt13.1) in Firefox with clean profile and Sign Out is working properly for me.

Gonzalo, can you please update to the latest version and try again? Or does cleaning of the browser cache help (with your rhevm-3.5.0-0.22)?

Comment 2 Gonza 2014-12-11 10:37:26 UTC
Tried cleaning the cache and had the same issue. 
Updated to rhevm-3.5.0-0.23.beta.el6ev.noarch and issue is still there. 
Although, just realized this issue to appear only with Firefox and not Chrome. 
Firefox version: firefox-34.0-1.fc20.x86_64

Comment 3 Einav Cohen 2014-12-12 20:32:22 UTC
It seems that everything is working properly for Pavel on Firefox. 

Gonzalo, any chance that your engine (server) is setup with SSO enabled (in which case, 'sign out' is not actually expected to sign out - it is just refreshing the page; sign out can be done only via the SSO interface in this case)?

@Alexander: any thoughts? additional questions for Gonzalo?

Comment 4 Alexander Wels 2014-12-12 21:14:25 UTC
This is most likely the following 'issue'. You have used something that caused the basic auth to be used (maybe poster for the REST api or something similar). Now firefox is remembering your auth information and when you log out it will automatically send that information and log you right back in. This is correct and expected browser behavior.

If you clear your cache and CLOSE the browser completely it should stop remembering your information and send it by default.

Comment 5 Gonza 2014-12-15 09:12:27 UTC
Cleared the cache once more and restarted Firefox.
It is now working as expected. Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.